> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get library shape

> Read one Shape in the public library.

**Operation ID:** `http.shapes.library.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}:
    get:
      tags:
        - Shapes
      summary: Get library shape
      description: |-
        Read one Shape in the public library.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.library.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: publisher
          in: path
          required: true
          schema:
            type: string
        - name: shape
          in: path
          required: true
          schema:
            type: string
        - name: artifact_digest
          in: query
          required: false
          description: The artifact digest, sha256:<64 hex>. Defaults to the listed one.
          schema:
            type: string
            pattern: ^sha256:[0-9a-f]{64}$
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_library_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_library_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            publisher:
              type: object
              properties:
                id:
                  type: string
                slug:
                  type: string
                display_name:
                  type: string
              required:
                - id
                - slug
                - display_name
              additionalProperties: {}
            head:
              type: object
              properties:
                shape_id:
                  type: string
                revision_id:
                  type: string
                artifact_digest:
                  type: string
                generation:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
              required:
                - shape_id
                - revision_id
                - artifact_digest
                - generation
              additionalProperties: {}
            artifact:
              type: object
              properties:
                shape_id:
                  type: string
                artifact_digest:
                  type: string
                shape_def:
                  type: object
                  properties: {}
                  additionalProperties: {}
              required:
                - shape_id
                - artifact_digest
                - shape_def
              additionalProperties: {}
          required:
            - publisher
            - head
            - artifact
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.